%define major           1
%define libname         %mklibname fontenc %{major}
%define develname       %mklibname fontenc -d
%define staticdevelname %mklibname fontenc -d -s

Name:           libfontenc
Summary:        The fontenc Library
Version:        1.1.8
Release:        %mkrel 2
Group:          Development/X11
License:        MIT
URL:            https://xorg.freedesktop.org
Source0:        https://xorg.freedesktop.org/releases/individual/lib/libfontenc-%{version}.tar.xz

BuildRequires:  pkgconfig(zlib)
BuildRequires:  x11-proto-devel >= 1.0.0
BuildRequires:  x11-util-macros >= 1.0.1
# list of encodings
Requires:       x11-font-encodings

%description
libfontenc is a library which helps font libraries portably determine and 
deal with different encodings of fonts.

#-----------------------------------------------------------

%package -n %{libname}
Summary:        The fontenc Library
Group:          System/Libraries
Provides:       %{name} = %{version}-%{release}

Conflicts:      libxorg-x11 < 7.0

%description -n %{libname}
libfontenc is a library which helps font libraries portably determine and
deal with different encodings of fonts.

%files -n %{libname}
%{_libdir}/libfontenc.so.%{major}{,.*}

#-----------------------------------------------------------

%package -n %{develname}
Summary:        Development files for %{name}
Group:          Development/X11
Requires:       %{libname} = %{version}-%{release}
Provides:       libfontenc-devel = %{version}-%{release}
Obsoletes:      %{_lib}fontenc1-devel
Conflicts:      libxorg-x11-devel < 7.0

%description -n %{develname}
Development files for %{name}.

%files -n %{develname}
%{_libdir}/libfontenc.so
%{_libdir}/pkgconfig/fontenc.pc
%{_includedir}/X11/fonts/fontenc.h

#-----------------------------------------------------------

%package -n %{staticdevelname}
Summary:        Static development files for %{name}
Group:          Development/X11
Requires:       %{develname} = %{version}-%{release}
Provides:       libfontenc-static-devel = %{version}-%{release}
Obsoletes:      %{_lib}fontenc1-static-devel
Conflicts:      libxorg-x11-static-devel < 7.0

%description -n %{staticdevelname}
Static development files for %{name}.

%files -n %{staticdevelname}
%{_libdir}/libfontenc.a

#-----------------------------------------------------------

%prep
%setup -q -n libfontenc-%{version}

%build
%configure	--x-includes=%{_includedir}\
		--x-libraries=%{_libdir}\
		--with-encodingsdir=%{_datadir}/fonts/encodings

%make_build

%install
%make_install



%changelog
* Sun Jun 29 2025 umeabot <umeabot> 1.1.8-2.mga10
+ Revision: 2224811
- Mageia 10 Mass Rebuild

* Wed Jul 03 2024 daviddavid <daviddavid> 1.1.8-1.mga10
+ Revision: 2079183
- new version: 1.1.8

* Fri Dec 09 2022 luigiwalser <luigiwalser> 1.1.7-1.mga9
+ Revision: 1919980
- 1.1.7

* Sun Sep 04 2022 tv <tv> 1.1.6-1.mga9
+ Revision: 1883871
- 1.1.6

* Wed Mar 16 2022 umeabot <umeabot> 1.1.4-4.mga9
+ Revision: 1795012
- Mageia 9 Mass Rebuild

* Tue Mar 08 2022 mrambo3501 <mrambo3501> 1.1.4-3.mga9
+ Revision: 1789909
- fix files list
+ danf <danf>
- Switch URLs from http: to https:

* Fri Feb 14 2020 umeabot <umeabot> 1.1.4-2.mga8
+ Revision: 1523109
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Thu Feb 21 2019 tv <tv> 1.1.4-1.mga7
+ Revision: 1369067
- new release

* Sun Sep 23 2018 umeabot <umeabot> 1.1.3-3.mga7
+ Revision: 1298845
- Mageia 7 Mass Rebuild
+ kekepower <kekepower>
- Use new make macros

* Thu Feb 11 2016 umeabot <umeabot> 1.1.3-2.mga6
+ Revision: 955458
- Mageia 6 Mass Rebuild

* Sun Jun 21 2015 tv <tv> 1.1.3-1.mga6
+ Revision: 837518
- new release

* Wed Oct 15 2014 umeabot <umeabot> 1.1.2-4.mga5
+ Revision: 743690
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1.1.2-3.mga5
+ Revision: 681459
- Mageia 5 Mass Rebuild

* Sat Oct 19 2013 umeabot <umeabot> 1.1.2-2.mga4
+ Revision: 525521
- Mageia 4 Mass Rebuild

* Thu May 30 2013 tv <tv> 1.1.2-1.mga4
+ Revision: 433354
- new release

* Fri Feb 08 2013 luigiwalser <luigiwalser> 1.1.1-3.mga3
+ Revision: 397134
- remove obsolete pre script

* Sat Jan 12 2013 umeabot <umeabot> 1.1.1-2.mga3
+ Revision: 357114
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Mar 05 2012 tv <tv> 1.1.1-1.mga2
+ Revision: 218476
- new release

* Tue Jan 11 2011 dmorgan <dmorgan> 1.1.0-1.mga1
+ Revision: 5617
- imported package libfontenc


* Thu Oct 21 2010 Thierry Vignaud <tv@mandriva.org> 1.1.0-1mdv2011.0
+ Revision: 587077
- new release

* Mon Nov 09 2009 Paulo Ricardo Zanoni <pzanoni@mandriva.com> 1.0.5-1mdv2010.1
+ Revision: 463689
- New version: 1.0.5

* Wed Aug 26 2009 Emmanuel Andry <eandry@mandriva.org> 1.0.4-6mdv2010.0
+ Revision: 421586
- apply libraries policy

* Tue Jun 17 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-5mdv2009.0
+ Revision: 222558
- rebuild

  + Pixel <pixel@mandriva.com>
    - do not call ldconfig in %%post/%%postun, it is now handled by filetriggers

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Revert build requires.

* Tue Jan 15 2008 Paulo Andrade <pcpa@mandriva.com.br> 1.0.4-4mdv2008.1
+ Revision: 152807
- Update BuildRequires and rebuild.
  Also disable patch1 as it is used only to "document" functions called
  by the X Server.

* Sun Jan 13 2008 Thierry Vignaud <tv@mandriva.org> 1.0.4-3mdv2008.1
+ Revision: 150559
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Paulo Andrade <pcpa@mandriva.com.br>
    - Fix typo. Almost calibrated to start changing the real packages.
    - This is a "noop" patch. But it can be considered a list of the functions,
      code from X Server uses from libfontenc, at a later stage, this library can be
      changed to make available only the public symbols.


* Fri Feb 16 2007 Thierry Vignaud <tvignaud@mandriva.com> 1.0.4-1mdv2007.0
+ Revision: 121704
- new release

* Fri Nov 17 2006 Pablo Saratxaga <pablo@mandriva.com> 1.0.2-3mdv2007.1
+ Revision: 85159
- depend on x11-font-encodings
- fixed path for encodings.dir file

  + Gustavo Pichorim Boiko <boiko@mandriva.com>
    - rebuild to fix cooker uploading
    - X11R7.1
    - increment release
    - fixed more dependencies
    - Adding X.org 7.0 to the repository

  + Andreas Hasenack <andreas@mandriva.com>
    - renamed mdv to packages because mdv is too generic and it's hosting only packages anyway

